ApiFuseApiFuse
API Reference

CatchTable 레스토랑 검색

키워드로 캐치테이블 등록 레스토랑을 검색합니다.

CatchTable 레스토랑 검색

키워드와 위치 기반으로 캐치테이블에 등록된 레스토랑 목록을 반환합니다.

엔드포인트

POST /v1/catchtable-search

Upstream

  • Base URL: https://ct-api.catchtable.co.kr
  • Path: /api/v6/search/list

요청 파라미터

파라미터타입필수기본값설명
keywordstring-Search keyword
latnumber-Latitude
lonnumber-Longitude
limitinteger20-
offsetinteger0-
sortstringrecommendedSort option

요청 예시

{
  "keyword": "스시",
  "lat": 37.5518333,
  "lon": 126.9887774,
  "limit": 20,
  "offset": 0,
  "sort": "recommended"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "shops": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "shopRef": {
            "type": "string"
          },
          "shopName": {
            "type": "string"
          },
          "foodKind": {
            "type": "string"
          },
          "address": {
            "type": "string"
          },
          "reviewCount": {
            "type": "number"
          },
          "avgRating": {
            "type": "number"
          }
        },
        "required": [
          "shopRef",
          "shopName",
          "foodKind",
          "address",
          "reviewCount",
          "avgRating"
        ],
        "additionalProperties": false
      }
    },
    "total": {
      "type": "number"
    }
  },
  "required": [
    "shops",
    "total"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "shops": [
      {
        "shopRef": "shop-1",
        "shopName": "스시 오마카세",
        "foodKind": "일식",
        "address": "서울 강남구",
        "reviewCount": 128,
        "avgRating": 4.8
      }
    ],
    "total": 1
  },
  "pagination": null,
  "meta": {
    "source": "catchtable-search",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page